#3076 closed defect (fixed)

Test suite failures due to floating point usage

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

Several tests fail due to an unaccounted use of the floating point unit:

BLOCK 6
BLOCK 14
CONSTRUCTOR/DESTRUCTOR
CRYPT 1
DUMPBUF 1
FLASHDISK 1
FSBDPART 1
FSDOSFSFORMAT 1
FSDOSFSNAME 1
FSERROR DOSFS
FSERROR JFFS2
FSERROR MOUNTED IMFS
FSERROR RFS
FSERROR ROOT IMFS
FSPERMISSION JFFS2
FSPERMISSION MOUNTED IMFS
FSPERMISSION RFS
FSPERMISSION ROOT IMFS
FSRENAME MOUNTED IMFS
FTP 1
libdl (RTL) 1
libdl (RTL) 4
libdl (RTL) 5
MGHTTPD 1
MONITOR 2
MOUSE 1
NETWORKING 1
PSXFILE 1
PSXIMFS 1
PSXIMFS 2
PSXPASSWD 2
PSXPIPE 1
PSXSTAT
SMP 1
SMP 2
SMP 3
SMP 8
SMP 9
SMPAFFINITY 1
SMPSCHEDULER 1
SPERROR 1
SPERROR 2
SPERROR 3
SYSCALL 1
TAR 1
TERMIOS 3
TERMIOS 4
TERMIOS 5
TERMIOS 6
TERMIOS 7

Change History (13)

comment:1 Changed on Jul 18, 2017 at 12:25:15 PM by Sebastian Huber <sebastian.huber@…>

In 08586e5/rtems:

ftpd: Use floating point tasks

Update #3076.

comment:2 Changed on Jul 18, 2017 at 12:25:28 PM by Sebastian Huber <sebastian.huber@…>

In 533ac112/rtems:

tests: Use more integer print functions

This avoids an unnecessary use of the floating point unit.

Update #3076.

comment:3 Changed on Jul 18, 2017 at 12:25:42 PM by Sebastian Huber <sebastian.huber@…>

In b682f4cb/rtems:

dumpbuf: Simplify rtems_print_buffer()

This avoids an unnecessary use of the floating point unit.

Update #3076.

comment:4 Changed on Jul 18, 2017 at 12:25:56 PM by Sebastian Huber <sebastian.huber@…>

In 07e1780/rtems:

tests: Use floating point task

These tests directly or indirectly use fprintf(), etc. which may use the
floating point unit.

Update #3076.

comment:5 Changed on Jul 19, 2017 at 9:57:31 AM by Sebastian Huber <sebastian.huber@…>

In 6f46848/rtems:

tests: Use floating point task

These tests directly or indirectly use fprintf(), etc. which may use the
floating point unit.

Update #3076.

comment:6 Changed on Jul 19, 2017 at 10:15:26 AM by Joel Sherrill

Newlib has integer only versions of the printf() family. Why aren't we using these in the test to avoid this problem?

comment:7 Changed on Jul 19, 2017 at 10:55:10 AM by Sebastian Huber

We use them in the tests, however, we don't use them in the rest of RTEMS.

comment:8 Changed on Jul 19, 2017 at 1:56:09 PM by Sebastian Huber <sebastian.huber@…>

In a0271a7/rtems:

tests: Use floating point task

These tests directly or indirectly use fprintf(), etc. which may use the
floating point unit.

Update #3076.

comment:9 Changed on Jul 19, 2017 at 1:56:21 PM by Sebastian Huber <sebastian.huber@…>

In 0ea7ca9/rtems:

sptests/spcache01: Use standard test IO

Update #3076.

comment:10 Changed on Jul 19, 2017 at 2:01:33 PM by Sebastian Huber <sebastian.huber@…>

In 5f1ae90e/rtems:

sptests/sptls02: Use standard test IO

Update #3076.

comment:11 Changed on Jul 20, 2017 at 6:28:07 AM by Sebastian Huber

Resolution: fixed
Status: assignedclosed

Test runs on GR740 and AT697F have no more failures due to non floating point tasks.

comment:12 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified

comment:13 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.